
Infrastructure - Task #3978

Story # 3875 (Closed): Create a dashboard (version 1) for DataONE to provide high level overall system status

Add a CN reporting script that summarizes spatial data for the dashboard

2013-09-13 16:12 - Chris Jones

Status: In Progress Start date: 2013-10-30

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 30%

Category: d1_dashboard Estimated time: 0.00 hour

Target version: 2014.14-Block.2.3   

Milestone: None Story Points:  

Product Version: *   

Description

Spatial data in the CN Solr search index includes per-object bounding box data.  For client side mapping purposes, these data are

too numerous to add to a vector map.  Create a spatial summarization script that reduces the total points to summarized counts at a

given cell resolution.  Allow for the resolution to be configurable. Export the result as a JSON object, compatible with mapping

libraries like heatmapjs and D3js.

Subtasks:

Task # 4147: Modify d1_spatial_reporter.py to produce custom JSON output In Progress

History

#1 - 2013-09-13 16:13 - Chris Jones

- Description updated

#2 - 2013-09-13 16:13 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#3 - 2013-10-28 16:17 - Chris Jones

- Target version changed from 2013.37-Block.5.2 to 2013.44-Block.6.1

#4 - 2013-10-30 19:40 - Chris Jones

I've created the reporting script under d1_cn_spatial_reporter, see 

https://repository.dataone.org/software/cicore/trunk/cn/d1_cn_tools/d1_cn_spatial_reporter.  This script queries the CN Solr search index for bounding

coordinates and produces a few different outputs, including a shapefile, geotiff, and GeoJSON.  Due to performance issues on the client side, the

GeoJSON needs to be reduced in size, and further work needs to be done in making the output to be JSON compliant.  I'm currently using the

ogr.Geometry.ExportToJSON() method, and this needs to be replaced with a custom JSON output.

Assigning subtasks to Chris Brumgard to work on this.

#5 - 2014-01-06 18:32 - Chris Jones

- Target version changed from 2013.44-Block.6.1 to 2014.2-Block.1.1

#6 - 2014-03-14 17:12 - Skye Roseboom

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

#7 - 2014-03-31 17:41 - Skye Roseboom

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3
